Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class ParticipationTargetDirectMember2

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.ParticipationTargetDirectMember2

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class ParticipationTargetDirectMember2

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Participation Target Direct Member2', and utility methods for working with them.

See Also:
  `CDAR2Package.getParticipationTargetDirectMember2()`

Field Summary
`static int` | `BBY` The 'BBY' literal value.
`static ParticipationTargetDirectMember2` | `BBY_LITERAL` The 'BBY' literal object.
`static int` | `CSM` The 'CSM' literal value.
`static ParticipationTargetDirectMember2` | `CSM_LITERAL` The 'CSM' literal object.
`static int` | `DIR` The 'DIR' literal value.
`static ParticipationTargetDirectMember2` | `DIR_LITERAL` The 'DIR' literal object.
`static int` | `DON` The 'DON' literal value.
`static ParticipationTargetDirectMember2` | `DON_LITERAL` The 'DON' literal object.
`static int` | `PRD` The 'PRD' literal value.
`static ParticipationTargetDirectMember2` | `PRD_LITERAL` The 'PRD' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Participation Target Direct Member2' enumerators.

Method Summary
`static ParticipationTargetDirectMember2` | `get(int value)` Returns the 'Participation Target Direct Member2' literal with the specified integer value.
`static ParticipationTargetDirectMember2` | `get(java.lang.String literal)` Returns the 'Participation Target Direct Member2' literal with the specified literal value.
`static ParticipationTargetDirectMember2` | `getByName(java.lang.String name)` Returns the 'Participation Target Direct Member2' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DIR

    public static final int DIR

  The 'DIR' literal value.

  If the meaning of 'DIR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DIR_LITERAL`, Constant Field Values

### BBY

    public static final int BBY

  The 'BBY' literal value.

  If the meaning of 'BBY' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BBY_LITERAL`, Constant Field Values

### CSM

    public static final int CSM

  The 'CSM' literal value.

  If the meaning of 'CSM' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CSM_LITERAL`, Constant Field Values

### DON

    public static final int DON

  The 'DON' literal value.

  If the meaning of 'DON' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DON_LITERAL`, Constant Field Values

### PRD

    public static final int PRD

  The 'PRD' literal value.

  If the meaning of 'PRD' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PRD_LITERAL`, Constant Field Values

### DIR_LITERAL

    public static final ParticipationTargetDirectMember2 DIR_LITERAL

  The 'DIR' literal object.

  See Also:
    `DIR`

### BBY_LITERAL

    public static final ParticipationTargetDirectMember2 BBY_LITERAL

  The 'BBY' literal object.

  See Also:
    `BBY`

### CSM_LITERAL

    public static final ParticipationTargetDirectMember2 CSM_LITERAL

  The 'CSM' literal object.

  See Also:
    `CSM`

### DON_LITERAL

    public static final ParticipationTargetDirectMember2 DON_LITERAL

  The 'DON' literal object.

  See Also:
    `DON`

### PRD_LITERAL

    public static final ParticipationTargetDirectMember2 PRD_LITERAL

  The 'PRD' literal object.

  See Also:
    `PRD`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Participation Target Direct Member2' enumerators.

Method Detail

### get

    public static ParticipationTargetDirectMember2 get(java.lang.String literal)

  Returns the 'Participation Target Direct Member2' literal with the specified literal value.

### getByName

    public static ParticipationTargetDirectMember2 getByName(java.lang.String name)

  Returns the 'Participation Target Direct Member2' literal with the specified name.

### get

    public static ParticipationTargetDirectMember2 get(int value)

  Returns the 'Participation Target Direct Member2' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD